All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::FaceDetectorOpenCV Class Reference

`#include <faceDetectorOpenCV.hpp>`

## Public Member Functions

| FaceDetectorOpenCV (const std::string &modelFolder)
virtual | ~FaceDetectorOpenCV ()
std::vector< Rectangle< float > > | detectFaces (const cv::Mat &cvInputData)

## Constructor & Destructor Documentation

op::FaceDetectorOpenCV::FaceDetectorOpenCV | ( | const std::string & | modelFolder | ) |

explicit

virtual op::FaceDetectorOpenCV::~FaceDetectorOpenCV | ( |  | ) |

virtual

## Member Function Documentation

std::vector<Rectangle<float> > op::FaceDetectorOpenCV::detectFaces | ( | const cv::Mat & | cvInputData | ) |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/face/faceDetectorOpenCV.hpp